aboutsummaryrefslogtreecommitdiff
path: root/fontconfig/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fontconfig/autogen.sh')
-rw-r--r--fontconfig/autogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/fontconfig/autogen.sh b/fontconfig/autogen.sh
index 1482e401c..29c1fd26c 100644
--- a/fontconfig/autogen.sh
+++ b/fontconfig/autogen.sh
@@ -24,10 +24,19 @@ LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
AUTOMAKE=${AUTOMAKE-automake}
AUTOHEADER=${AUTOHEADER-autoheader}
AUTOCONF=${AUTOCONF-autoconf}
+GPERF=${GPERF-gperf}
LIBTOOLIZE_FLAGS="--copy --force"
DIE=0
+($GPERF --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have gperf installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution."
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
have_libtool=false
if $LIBTOOLIZE --version < /dev/null > /dev/null 2>&1 ; then
libtool_version=`$LIBTOOLIZE --version | sed 's/^.* \([0-9][.][0-9.]*\)[^ ]*$/\1/'`